FilterIterator::valid
LimitIterator::getPosition
Iterators
PHP Manual

# The LimitIterator class

## Введение

...

## Class synopsis

LimitIterator
LimitIterator extends IteratorIterator implements OuterIterator , Traversable , Iterator {
/* Methods */
int getPosition ( void )
void next ( void )
void rewind ( void )
void seek ( int `$position` )
bool valid ( void )
}

## Содержание

- LimitIterator::getPosition — Return the current position
- LimitIterator::next — Move the iterator forward
- LimitIterator::rewind — Rewind the iterator to the specified starting offset
- LimitIterator::seek — Seek to the given position
- LimitIterator::valid — Check whether the current element is valid

FilterIterator::valid
LimitIterator::getPosition
Iterators
PHP Manual